Name:		ArpON
Version:	1.90
Release:	7%{?dist}
Summary:	ARP handler inspection

Group:		Applications/Internet
License:	BSD
URL:		http://arpon.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/arpon/arpon/ArpON-%{version}/ArpON-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel
BuildRequires:	libnet-devel
BuildRequires:	libdnet-devel
		
%description
%{name} is a portable handler daemon
It has a lot of features and it makes ARP a bit safer.
It uses static ARP inspection and dynamic ARP inspection
as two kinds of anti ARP poisoning techniques.

%prep
%setup -q


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}" linux

%install
%{__rm} -rf %{buildroot}
%{__install} -D -pm 755 arpon %{buildroot}%{_sbindir}/arpon
%{__install} -D -pm 644 man8/arpon.8 %{buildroot}%{_mandir}/man8/arpon.8  


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc TODO AUTHORS CHANGELOG LICENSE doc/* man8/html/arpon.html
%{_sbindir}/arpon
%{_mandir}/man8/arpon.8*


%changelog
* Fri Apr 02 2010 Arun SAG <sagarun [AT] gmail dot com> -  1.90-7
- Bumping release to fix previous CVS commit.

* Thu Mar 25 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-6
- Bumping release to fix previous CVS commit.

* Tue Mar 9 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-5
- Fixed mixed usage of capital letters and period in changelog. 
- Fixed install so that arpon.8 gets copied in correct directory.

* Sun Mar 7 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-4
- Optflags used instead of RPM_OPT_FLAGS.
- Man dir corrected.

* Wed Jan 13 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-3
- Source URL fixed.
- Install part rewrittern.

* Sat Jan 2 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-2
- Removed insignificant INSTALL file from binary package.
- Changed build section to  use Fedora project flags.

* Sat Dec 20 2009 Arun SAG <sagarun [AT] gmail dot com> - 1.90-1
- My initial release.

* Tue Dec 01 2009 Sandro Mathys <red at fedoraproject.org> - 1.90-1
- Initial build.
